Security Experts:

Flaws in STEM Conference Room Speakerphone Can Be Exploited to Spy on Users

Vulnerabilities identified in the STEM Audio Table conference room speakerphone could be exploited by hackers for various purposes, including to eavesdrop on conversations, according to cybersecurity research firm GRIMM.

The first identified issue is a stack-based buffer overflow in the function responsible for handling user requests for the device’s “local server" configuration option.

The stack buffer size is too small for the setting and data contents are unsafely copied, which could result in an attacker being able to execute arbitrary code on the device, with root privileges.

STEM Audio Table vulnerabilitySimilar issues were identified in the handlers for retrieving and setting Session Initiation Protocol (SIP) configuration options. The exploitation pattern is the same for both.

Additionally, GRIMM’s researchers discovered a command injection bug in the firmware update mechanism of the device, which is handled by a Python script that accepts user-supplied arguments.

Because no sanitization is performed on these arguments before the System library call is invoked to start the Python interpreter, an attacker able to exploit the vulnerability could execute arbitrary code as root on the device.

The researchers also discovered that the device could be controlled externally, without authentication.

“The web-based Graphical User Interface (GUI) appeared to be the only mechanism that employed any form of credential enforcement. Authentication should never be a client-side operation, as seemed to be the intent with the STEM Audio Table,” the researchers note.

GRIMM also discovered that operations could be executed remotely even if the organization’s password is not known. Thus, one could take complete control of the device using the unauthenticated interface.

While encryption was occasionally used to encrypt communication between STEM Audio Table and the web GUI used for configuration, the encryption was not enforced or required and the same commands could be sent in plaintext.

GRIMM also discovered issues with the update process, as packages were found to be unsigned, although the process was authenticated with user-supplied credentials, if a “local server" was used as source.

However, because the device could be controlled externally, an attacker could tamper with the update process by modifying URLs, usernames, and passwords, which would allow them to deliver a fake update to the device, thus achieving remote code execution.

With all services on STEM Audio Table running as root, these vulnerabilities could be abused to execute code in the context of the most privileged user, GRIMM notes.

“[VoIP] devices like the STEM Audio Table are essentially network-connected microphones. Their compromise, through the described RCE vulnerabilities, could allow attackers to passively eavesdrop on nearby conversations and quietly maintain network persistence,” the company warned. “Such a foothold inside an organization provides a stable position for further network operations, data collection, and surveillance from a device that is unlikely to attract much attention. Without proper device isolation in the network, collected data can easily be exfiltrated over the Internet back to attackers.”

The vendor was informed on the findings and issued an update (firmware version 2.2.0.0) to address the security bugs. Devices with automatic updates enabled should receive the patches immediately.

Related: PoC Exploit Released for Wormable Windows Vulnerability

Related: Apple Patches Security Bypass Vulnerability Impacting Macs With M1 Chip

view counter